---
title: Value Stream Management
description: GitLab's Value Stream Management provides a systematic method to reduce time to value, optimize for business outcomes, and improve software quality.
canonical_path: "/solutions/value-stream-management/"
suppress_header: true
extra_css:
  - bl-modal.css
  - video-carousel.css
extra_js:
  - libs/slick.min.js
  - video-carousel.js
---

%link{:rel => "stylesheet", :href => "https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.9.0/slick.min.css"}
%link{:rel => "stylesheet", :href => "https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.9.0/slick-theme.min.css"}

.blank-header
  = image_tag "/images/home/icons-pattern-left.svg", class: "image-border image-border-left", alt: "Gitlab hero border pattern left svg"
  = image_tag "/images/home/icons-pattern-right.svg", class: "image-border image-border-right", alt: "Gitlab hero border pattern right svg"
  .header-content
    %h1 Value Stream Management
    %p Measure and manage the business value of your DevSecOps lifecycle.
    = link_to "Try GitLab Free", "/free-trial/", class: "btn cta-btn orange"
.gitlab-content-container.reverse-content
  .content.row-layout
    .full-width
      %p Software development should always aim to maximize customer or business value delivery—but how do you identify inefficiencies in that delivery, and how can you course-correct value when you do? GitLab’s Value Stream Management helps businesses visualize their end-to-end DevOps workstream, identify and target waste and inefficiencies, and take action to optimize those workstreams to deliver the highest possible velocity of value.
      %h2 A Value Stream Delivery Platform
      %p In <a href="https://www.gartner.com/en/documents/3979558/the-future-of-devops-toolchains-will-involve-maximizing">The Future of DevOps Toolchains Will Involve Maximizing Flow in IT Value Streams</a>,” Gartner recommended that "infrastructure and operations leaders responsible for selecting and deploying DevOps toolchains should: drive business ability by using DevOps value stream delivery platforms that reduce the overhead of managing complex toolchains."<sup>1</sup> By providing an <a href= "https://about.gitlab.com/solutions/devops-platform/">entire DevOps platform</a> as a single application, GitLab is uniquely suited to provide end-to-end visibility throughout the entire lifecycle without the “toolchain tax.” As the place where work happens, GitLab can also unite visualization with action, allowing users to jump from learning to doing at any time, without losing context. 
      %p <em><sup>1</sup> Gartner "The Future of DevOps Toolchains Will Involve Maximizing Flow in IT Value Streams," Manjunath Bhat, et al, 14 January 2020 (Gartner subscription required)</em>
      %a.btn.cta-btn.accent{ href: "https://docs.gitlab.com/ee/user/analytics/value_stream_analytics.html" } Value Stream Analytics

  .content.row-layout
    .full-width
      %h2 View and manage end-to-end processes
      %p Value Streams Analytics helps you visualize and manage the DevOps flow from ideation to customer delivery. Out of the box, GitLab offers actionable reporting on common workflows and metrics, with nothing to install or configure. If you want to dive deeper or model custom workflows, GitLab’s unified, comprehensive data store makes it easy to track whatever events matter.
      %ul
        %li
          %strong
            One tool, no chain:
          GitLab unifies the entire DevOps toolchain into a single application. There are no integrations to manage, no API chokepoints to limit visibility, and a shared experience for everyone in the company, regardless of role.
        %li
          %strong
            Shared, actionable data:
          A single source of insight built on a single system of work means you can spend more time developing value and less time finding where it’s stalled.
        %li
          %strong
            Focus on value - not ceremony:
          Track and manage the actual flow of work and eliminate unnecessary ceremony. A single DevOps application means single-click drill down into actual work items, so you can remove blockages as soon as you find them.
    .full-width
      = image_tag "/images/vsm/vsa.png", class: "screenshot margin-bottom10", alt: "Value Stream Management End to End Process"
      %i.font-small 
        = link_to "Model your process", "https://docs.gitlab.com/ee/user/analytics/value_stream_analytics.html"
        with 
        = link_to "customizable Value Streams", "https://docs.gitlab.com/ee/user/analytics/value_stream_analytics.html#customizable-value-stream-analytics"
      %i.font-small (since 12.9)
  .content.row-layout
    .full-width
      %h2 Measure
      %p Drive continuous improvement based on the data from your value stream.
      %ul
        %li
          %strong
            Track flow and accelerate:
          Focusing on the flow of value to customers is key to streamlining the delivery process.
        %li
          %strong
            Cycle time:
          Track the actual work and effort, the real cycle time to deliver value.
        %li
          %strong
            Business value:
          Link actual value back to the change.
        %li
          %strong
            DORA4 metrics:
          DORA4 metrics help you benchmark your DevOps maturity and are a useful indicator for comparison - either within the team or comparable companies / industries. Monitor the 
          = link_to "Lead time for change", "https://docs.gitlab.com/ee/api/dora4_project_analytics.html#list-project-merge-request-lead-times" 
          and 
          = link_to "Deployment Frequency", "https://docs.gitlab.com/ee/api/dora4_project_analytics.html"
          to measure your DevOps process efficency.
    .full-width
      = image_tag "/images/vsm/tasks-by-type.png", class: "screenshot margin-bottom10", alt: "Value Stream Management End to End Process"
      %a{ href: "https://docs.gitlab.com/ee/user/analytics/value_stream_analytics.html#type-of-work---tasks-by-type-chart", target: "_blank" }
        %i.font-small See distribution of business value delivered across types of work to better align execution with strategy.
  .content.row-layout
    .full-width
      %h2 Manage
      %p The value streams help you visualize and manage the flow of new innovation from idea to customers.
      %ul
        %li
          %strong
            Identify constraints:
          Find the sources of friction in your value stream and optimise lead time.
        %li
          %strong
            Remove bottlenecks:
          Take action to address constraints.
        %li
          %strong
            Optimize flow:
          Accelerate DevOps best practices across your organization.
        %li
          %strong
            Manage Efficiency:
          = link_to "Detailed insights", "https://docs.gitlab.com/ee/user/project/insights/"
          showcasing your triage hygiene, issues / bugs created, time to merge and many more enable you to identify and fix inefficiencies in your development process with ease.

    .full-width
      = image_tag "/images/vsm/days-to-complete.png", class: "screenshot margin-bottom10", alt: "Value Stream Management End to End Process"
      %a{ href: "https://docs.gitlab.com/ee/user/analytics/value_stream_analytics.html#days-to-completion-chart", target: "_blank" }
        %i.font-small Inspect and improve processes, spot trends, and perform root cause on outliers.

  .content
    %h2.u-margin-bottom-sm.text-center
      Featured videos
    .video-slider
      - data.video_carousel.each do |video|
        -if video.carousel_identifier.include?("VSM Carousel 1")
          = partial "includes/components/video-carousel/video-item", locals: {name: video.name, title: video.title, company: video.company, photourl: video.photourl, videolink: video.video_link}

%section
  .container
    .row
      .col-md-12.text-center
        = partial "includes/blog/try"

- data.video_carousel.each do |video|
  -if video.carousel_identifier.include?("VSM Carousel 1")
    = partial "includes/components/video-carousel/video-carousel-modal", locals: {videolink: video.video_link, title: video.title, photourl: video.photourl}
